package com.steering.pss.plnsaleord.order.model;

/**
 * 合同下发工序
 * 
 * @author xiaohai
 */
public class PlnOrdInfo {

	public int getCutJg() {
		return cutJg;
	}

	public void setCutJg(int cutJg) {
		this.cutJg = cutJg;
	}

	private int cutJg = 0;
	/**
	 * 交货行PK
	 */
	private String ordLnDlyPk = "";
	/**
	 * 排产流水号
	 */
	private String plnDivideId = "";
	/**
	 * 操作人
	 */
	private String createName = "";

	/**
	 * desginKey
	 */
	private String desginKey = "";

	/**
	 * bom
	 */
	private String bom = "";
	/**
	 * 全程途径码
	 */
	private String wholeBacklog = "";
	/**
	 * 监制编号
	 */
	private String prdcrNo = "";
	/**
	 * 监制工序
	 */
	private String prdcrPrc = "";
	/**
	 * 订货标准
	 */
	private String stdName = "";
	/**
	 * 用涂码
	 */
	private String useDesc = "";
	/**
	 * 输出标准号1227
	 */
	private String outputStdNo = "";
	/**
	 * 判定字头
	 */
	private String abc = "";

	/**
	 * 判定字头
	 */
	public String getAbc() {
		return abc;
	}

	/**
	 * 判定字头
	 */
	public void setAbc(String abc) {
		this.abc = abc;
	}

	/**
	 * 输出标准号1227
	 */
	public String getOutputStdNo() {
		return outputStdNo;
	}

	/**
	 * 输出标准号1227
	 */
	public void setOutputStdNo(String outputStdNo) {
		this.outputStdNo = outputStdNo;
	}

	/**
	 * 订货标准
	 */
	public String getStdName() {
		return stdName;
	}

	/**
	 * 订货标准
	 */
	public void setStdName(String stdName) {
		this.stdName = stdName;
	}

	/**
	 * 用涂码
	 */
	public String getUseDesc() {
		return useDesc;
	}

	/**
	 * 用涂码
	 */
	public void setUseDesc(String useDesc) {
		this.useDesc = useDesc;
	}

	/**
	 * 保总长单位
	 */
	private String totlengthUnit = "";

	/**
	 * 保总长单位
	 */
	public String getTotlengthUnit() {
		return totlengthUnit;
	}

	/**
	 * 保总长单位
	 */
	public void setTotlengthUnit(String totlengthUnit) {
		this.totlengthUnit = totlengthUnit;
	}

	/**
	 * 缴库量
	 */
	private double planWtD = 0;
	/**
	 * 计划支数
	 */
	private int planNumD = 0;
	/**
	 * 订货计量单位
	 */
	private String orderUnit = "";

	/**
	 * 成品外径
	 */
	private double outdiameter = 0;
	/**
	 * 成品壁厚
	 */
	private double wallthick = 0;
	/**
	 * 最大长度(m)
	 */
	private double lengthmax = 0;
	/**
	 * 最小长度(m)
	 */
	private double lengthmin = 0;
	/**
	 * 目标轧管转移长度（m）
	 */
	private double aimLenRoll = 0;
	/**
	 * 轧管转移长度上限（m）
	 */
	private double lenRollMax = 0;
	/**
	 * 轧管转移长度下限（m）
	 */
	private double lenRollMin = 0;
	/**
	 * 轧管转移长度上限（m）
	 */
	private double lenMax = 0;
	/**
	 * 轧管转移长度下限（m）
	 */
	private double lenMin = 0;
	/**
	 * 加工分切
	 */
	private double proCut = 0;
	/**
	 * 成品管单重
	 */
	private double finisWj = 0;
	/**
	 * 成品使用公差
	 */
	private double endlenSpecstd = 0;

	/**
	 * 成品使用公差
	 */
	public double getEndlenSpecstd() {
		return endlenSpecstd;
	}

	/**
	 * 成品使用公差
	 */
	public void setEndlenSpecstd(double endlenSpecstd) {
		this.endlenSpecstd = endlenSpecstd;
	}

	/**
	 * 镦粗加长
	 */
	private double addDcLen = 0;
	/**
	 * 镦拔扩加长
	 */
	private double addDbkLen = 0;
	/**
	 * 镦拔扩烧损率
	 */
	private double buringRateDbk = 0;
	/**
	 * 变径率
	 */
	private double ratioDbk = 0;

	/**
	 * 变径率
	 */
	public double getRatioDbk() {
		return ratioDbk;
	}

	/**
	 * 变径率
	 */
	public void setRatioDbk(double ratioDbk) {
		this.ratioDbk = ratioDbk;
	}

	/**
	 * 镦拔扩烧损率
	 */
	public double getBuringRateDbk() {
		return buringRateDbk;
	}

	/**
	 * 镦拔扩烧损率
	 */
	public void setBuringRateDbk(double buringRateDbk) {
		this.buringRateDbk = buringRateDbk;
	}

	/**
	 * 镦粗加长
	 */
	public double getAddDcLen() {
		return addDcLen;
	}

	/**
	 * 镦粗加长
	 */
	public void setAddDcLen(double addDcLen) {
		this.addDcLen = addDcLen;
	}

	/**
	 * 镦拔扩加长
	 */
	public double getAddDbkLen() {
		return addDbkLen;
	}

	/**
	 * 镦拔扩加长
	 */
	public void setAddDbkLen(double addDbkLen) {
		this.addDbkLen = addDbkLen;
	}

	/**
	 * 轧管转移长度上限（m）
	 */
	public double getLenMax() {
		return lenMax;
	}

	/**
	 * 轧管转移长度上限（m）
	 */
	public void setLenMax(double lenMax) {
		this.lenMax = lenMax;
	}

	/**
	 * 轧管转移长度下限（m）
	 */
	public double getLenMin() {
		return lenMin;
	}

	/**
	 * 轧管转移长度下限（m）
	 */
	public void setLenMin(double lenMin) {
		this.lenMin = lenMin;
	}

	/**
	 * 加工分切
	 */
	public double getProCut() {
		return proCut;
	}

	/**
	 * 加工分切
	 */
	public void setProCut(double proCut) {
		this.proCut = proCut;
	}

	/**
	 * 控制壁厚
	 */
	private double aimwallthick = 0.0;
	/**
	 * 控制外径（mm）
	 */
	private double aimoutdiameter = 0.0;

	/**
	 * 控制壁厚
	 */
	public double getAimwallthick() {
		return aimwallthick;
	}

	/**
	 * 控制壁厚
	 */
	public void setAimwallthick(double aimwallthick) {
		this.aimwallthick = aimwallthick;
	}

	/**
	 * 控制外径（mm）
	 */
	public double getAimoutdiameter() {
		return aimoutdiameter;
	}

	/**
	 * 控制外径（mm）
	 */
	public void setAimoutdiameter(double aimoutdiameter) {
		this.aimoutdiameter = aimoutdiameter;
	}

	/**
	 * 成品管单重
	 */
	public double getFinisWj() {
		return finisWj;
	}

	/**
	 * 成品管单重
	 */
	public void setFinisWj(double finisWj) {
		this.finisWj = finisWj;
	}

	/**
	 * 米单重（t/m）
	 */
	private double wJ = 0;
	/**
	 * 轧管产线
	 */
	private String plineD = "";
	/**
	 * 轧管产线
	 */
	private String plineName = "";

	/**
	 * 轧管产线
	 */
	public String getPlineName() {
		return plineName;
	}

	/**
	 * 轧管产线
	 */
	public void setPlineName(String plineName) {
		this.plineName = plineName;
	}

	/**
	 * 扣型描述
	 */
	private String modelDesc = "";
	/**
	 * 接箍测量J值
	 */
	private double checkJVal = 0;
	/**
	 * 管坯断面（mm）
	 */
	private double dimeterGp = 0;
	/**
	 * 管坯长度（m）
	 */
	private double lengthGp = 0;
	/**
	 * 管坯单重t
	 */
	private double weightGpOne = 0;
	/**
	 * 生产分类
	 */
	private String produceSort = "";
	/**
	 * 排产月份
	 */
	private String rollMonth = "";

	/**
	 * 排产月份
	 */
	public String getRollMonth() {
		return rollMonth;
	}

	/**
	 * 排产月份
	 */
	public void setRollMonth(String rollMonth) {
		this.rollMonth = rollMonth;
	}

	/**
	 * 生产分类
	 */
	public String getProduceSort() {
		return produceSort;
	}

	/**
	 * 生产分类
	 */
	public void setProduceSort(String produceSort) {
		this.produceSort = produceSort;
	}

	/**
	 * 短尺随炉
	 */
	private String shrtStove = "";
	/**
	 * 合同来源
	 */
	private String orderSource = "";

	/**
	 * 合同来源
	 */
	public String getOrderSource() {
		return orderSource;
	}

	/**
	 * 合同来源
	 */
	public void setOrderSource(String orderSource) {
		this.orderSource = orderSource;
	}

	/**
	 * 单倍尺长
	 */
	private double siglLen = 0;
	/**
	 * 短尺最短
	 */
	private double shortest = 0;
	/**
	 * 盲区切长（mm）
	 */
	private double addInspect = 0;
	/**
	 * 订单流水号
	 */
	private String serialNum = "";
	/**
	 * 外购管
	 */
	private String outsStlPipeFl = "";
	/**
	 * 外购坯
	 */
	private String outsBilletFl = "";

	/**
	 * 外购坯
	 */
	public String getOutsBilletFl() {
		return outsBilletFl;
	}

	/**
	 * 外购坯
	 */
	public void setOutsBilletFl(String outsBilletFl) {
		this.outsBilletFl = outsBilletFl;
	}

	/**
	 * 下发版次号（年月+3位流水）
	 */
	private String versionNo = "";

	/**
	 * 轧管产出倍尺数
	 */
	private int outMultD = 0;
	/**
	 * 平均长度大于
	 */
	private Double avgLenMin = 0.0;

	/**
	 * 平均长度大于
	 */
	public Double getAvgLenMin() {
		return avgLenMin;
	}

	/**
	 * 平均长度大于
	 */
	public void setAvgLenMin(Double avgLenMin) {
		this.avgLenMin = avgLenMin;
	}

	/**
	 * 是否正常
	 */
	private int errCode = 0;
	/**
	 * 错误信息
	 */
	private String errMessage = "";
	/**
	 *排产吨min
	 */
	private double planPMainMin = 0;

	/**
	 *排产吨min
	 */
	public double getPlanPMainMin() {
		return planPMainMin;
	}

	/**
	 *排产吨min
	 */
	public void setPlanPMainMin(double planPMainMin) {
		this.planPMainMin = planPMainMin;
	}

	/**
	 * 是否正常
	 */
	public int getErrCode() {
		return errCode;
	}

	/**
	 * 是否正常
	 */
	public void setErrCode(int errCode) {
		this.errCode = errCode;
	}

	/**
	 * 错误信息
	 */
	public String getErrMessage() {
		return errMessage;
	}

	/**
	 * 错误信息
	 */
	public void setErrMessage(String errMessage) {
		this.errMessage = errMessage;
	}

	/**
	 * 芯棒直径(mm)
	 */
	private String diameterMandrel = "";

	/**
	 * 芯棒直径(mm)
	 */
	public String getDiameterMandrel() {
		return diameterMandrel;
	}

	/**
	 * 芯棒直径(mm)
	 */
	public void setDiameterMandrel(String diameterMandrel) {
		this.diameterMandrel = diameterMandrel;
	}

	/**
	 * 主全程途径
	 */
	private String wholeBacklogDesc = "";

	/**
	 * 主全程途径
	 */
	public String getWholeBacklogDesc() {
		return wholeBacklogDesc;
	}

	/**
	 * 主全程途径
	 */
	public void setWholeBacklogDesc(String wholeBacklogDesc) {
		this.wholeBacklogDesc = wholeBacklogDesc;
	}

	/**
	 * 冶金规范码
	 */
	private String msc = "";
	/**
	 * 制程索引号
	 */
	private String indexSeq = "";
	/**
	 * 订货长度(保总长)
	 */
	private Double totlength = 0.0;
	/**
	 * 计重方式（理重/实重）
	 */
	private String weighType = "";
	/**
	 * 轧管加长上限
	 */
	private Double addlenZgRuleMax = 0.0;
	/**
	 * 轧管加长下限
	 */
	private Double addlenZgRuleMin = 0.0;

	/**
	 * 轧管加长上限
	 */
	public Double getAddlenZgRuleMax() {
		return addlenZgRuleMax;
	}

	/**
	 * 轧管加长上限
	 */
	public void setAddlenZgRuleMax(Double addlenZgRuleMax) {
		this.addlenZgRuleMax = addlenZgRuleMax;
	}

	/**
	 * 轧管加长下限
	 */
	public Double getAddlenZgRuleMin() {
		return addlenZgRuleMin;
	}

	/**
	 * 轧管加长下限
	 */
	public void setAddlenZgRuleMin(Double addlenZgRuleMin) {
		this.addlenZgRuleMin = addlenZgRuleMin;
	}

	/**
	 * 计重方式（理重/实重）
	 */
	public String getWeighType() {
		return weighType;
	}

	/**
	 * 计重方式（理重/实重）
	 */
	public void setWeighType(String weighType) {
		this.weighType = weighType;
	}

	/**
	 * 订货长度(保总长)
	 */
	public Double getTotlength() {
		return totlength;
	}

	/**
	 * 订货长度(保总长)
	 */
	public void setTotlength(Double totlength) {
		this.totlength = totlength;
	}

	/**
	 * 冶金规范码
	 */
	public String getMsc() {
		return msc;
	}

	/**
	 * 冶金规范码
	 */
	public void setMsc(String msc) {
		this.msc = msc;
	}

	/**
	 * 制程索引号
	 */
	public String getIndexSeq() {
		return indexSeq;
	}

	/**
	 * 制程索引号
	 */
	public void setIndexSeq(String indexSeq) {
		this.indexSeq = indexSeq;
	}

	/**
	 * 轧管产出倍尺数
	 * 
	 * @return
	 */
	public int getOutMultD() {
		return outMultD;
	}

	/**
	 * 轧管产出倍尺数
	 * 
	 * @return
	 */
	public void setOutMultD(int outMultD) {
		this.outMultD = outMultD;
	}

	/**
	 * @return the ordLnDlyPk
	 */
	public String getOrdLnDlyPk() {
		return ordLnDlyPk;
	}

	/**
	 * @param ordLnDlyPk
	 *            the ordLnDlyPk to set
	 */
	public void setOrdLnDlyPk(String ordLnDlyPk) {
		this.ordLnDlyPk = ordLnDlyPk;
	}

	/**
	 * @return the plnDivideId
	 */
	public String getPlnDivideId() {
		return plnDivideId;
	}

	/**
	 * @param plnDivideId
	 *            the plnDivideId to set
	 */
	public void setPlnDivideId(String plnDivideId) {
		this.plnDivideId = plnDivideId;
	}

	/**
	 * @return the createName
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * @param createName
	 *            the createName to set
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * @return the desginKey
	 */
	public String getDesginKey() {
		return desginKey;
	}

	/**
	 * @param desginKey
	 *            the desginKey to set
	 */
	public void setDesginKey(String desginKey) {
		this.desginKey = desginKey;
	}

	/**
	 * @return the bom
	 */
	public String getBom() {
		return bom;
	}

	/**
	 * @param bom
	 *            the bom to set
	 */
	public void setBom(String bom) {
		this.bom = bom;
	}

	/**
	 * @return the wholeBacklog
	 */
	public String getWholeBacklog() {
		return wholeBacklog;
	}

	/**
	 * @param wholeBacklog
	 *            the wholeBacklog to set
	 */
	public void setWholeBacklog(String wholeBacklog) {
		this.wholeBacklog = wholeBacklog;
	}

	/**
	 * @return the prdcrNo
	 */
	public String getPrdcrNo() {
		return prdcrNo;
	}

	/**
	 * @param prdcrNo
	 *            the prdcrNo to set
	 */
	public void setPrdcrNo(String prdcrNo) {
		this.prdcrNo = prdcrNo;
	}

	/**
	 * @return the prdcrPrc
	 */
	public String getPrdcrPrc() {
		return prdcrPrc;
	}

	/**
	 * @param prdcrPrc
	 *            the prdcrPrc to set
	 */
	public void setPrdcrPrc(String prdcrPrc) {
		this.prdcrPrc = prdcrPrc;
	}

	/**
	 * @return the planWtD
	 */
	public double getPlanWtD() {
		return planWtD;
	}

	/**
	 * @param planWtD
	 *            the planWtD to set
	 */
	public void setPlanWtD(double planWtD) {
		this.planWtD = planWtD;
	}

	/**
	 * 排产支数
	 * 
	 * @return the planNumD
	 */
	public int getPlanNumD() {
		return planNumD;
	}

	/**
	 * 排产支数
	 * 
	 * @param planNumD
	 *            the planNumD to set
	 */
	public void setPlanNumD(int planNumD) {
		this.planNumD = planNumD;
	}

	/**
	 * 订货计量单位
	 * 
	 * @return value
	 */
	public String getOrderUnit() {
		return orderUnit;
	}

	/**
	 * 订货计量单位
	 * 
	 * @param orderUnit
	 *            value
	 */
	public void setOrderUnit(String orderUnit) {
		this.orderUnit = orderUnit;
	}

	/**
	 * @return the outdiameter
	 */
	public double getOutdiameter() {
		return outdiameter;
	}

	/**
	 * @param outdiameter
	 *            the outdiameter to set
	 */
	public void setOutdiameter(double outdiameter) {
		this.outdiameter = outdiameter;
	}

	/**
	 * @return the wallthick
	 */
	public double getWallthick() {
		return wallthick;
	}

	/**
	 * @param wallthick
	 *            the wallthick to set
	 */
	public void setWallthick(double wallthick) {
		this.wallthick = wallthick;
	}

	/**
	 * @return the lengthmax
	 */
	public double getLengthmax() {
		return lengthmax;
	}

	/**
	 * @param lengthmax
	 *            the lengthmax to set
	 */
	public void setLengthmax(double lengthmax) {
		this.lengthmax = lengthmax;
	}

	/**
	 * @return the lengthmin
	 */
	public double getLengthmin() {
		return lengthmin;
	}

	/**
	 * @param lengthmin
	 *            the lengthmin to set
	 */
	public void setLengthmin(double lengthmin) {
		this.lengthmin = lengthmin;
	}

	/**
	 * 目标轧管转移长度（m）
	 * 
	 * @return the aimLenRoll
	 */
	public double getAimLenRoll() {
		return aimLenRoll;
	}

	/**
	 * @param aimLenRoll
	 *            the aimLenRoll to set
	 */
	public void setAimLenRoll(double aimLenRoll) {
		this.aimLenRoll = aimLenRoll;
	}

	/**
	 * 米单重
	 * 
	 * @return the wJ
	 */
	public double getwJ() {
		return wJ;
	}

	/**
	 * @param wJ
	 *            the wJ to set
	 */
	public void setwJ(double wJ) {
		this.wJ = wJ;
	}

	/**
	 * @return the plineD
	 */
	public String getPlineD() {
		return plineD;
	}

	/**
	 * @param plineD
	 *            the plineD to set
	 */
	public void setPlineD(String plineD) {
		this.plineD = plineD;
	}

	/**
	 * @return the modelDesc
	 */
	public String getModelDesc() {
		return modelDesc;
	}

	/**
	 * @param modelDesc
	 *            the modelDesc to set
	 */
	public void setModelDesc(String modelDesc) {
		this.modelDesc = modelDesc;
	}

	/**
	 * @return the checkJVal
	 */
	public double getCheckJVal() {
		return checkJVal;
	}

	/**
	 * @param checkJVal
	 *            the checkJVal to set
	 */
	public void setCheckJVal(double checkJVal) {
		this.checkJVal = checkJVal;
	}

	/**
	 * @return the dimeterGp
	 */
	public double getDimeterGp() {
		return dimeterGp;
	}

	/**
	 * @param dimeterGp
	 *            the dimeterGp to set
	 */
	public void setDimeterGp(double dimeterGp) {
		this.dimeterGp = dimeterGp;
	}

	/**
	 * @return the lengthGp
	 */
	public double getLengthGp() {
		return lengthGp;
	}

	/**
	 * @param lengthGp
	 *            the lengthGp to set
	 */
	public void setLengthGp(double lengthGp) {
		this.lengthGp = lengthGp;
	}

	/**
	 * @return the weightGpOne
	 */
	public double getWeightGpOne() {
		return weightGpOne;
	}

	/**
	 * @param weightGpOne
	 *            the weightGpOne to set
	 */
	public void setWeightGpOne(double weightGpOne) {
		this.weightGpOne = weightGpOne;
	}

	/**
	 * @return the shrtStove
	 */
	public String getShrtStove() {
		return shrtStove;
	}

	/**
	 * @param shrtStove
	 *            the shrtStove to set
	 */
	public void setShrtStove(String shrtStove) {
		this.shrtStove = shrtStove;
	}

	/**
	 * @return the siglLen
	 */
	public double getSiglLen() {
		return siglLen;
	}

	/**
	 * @param siglLen
	 *            the siglLen to set
	 */
	public void setSiglLen(double siglLen) {
		this.siglLen = siglLen;
	}

	/**
	 * 短尺最端
	 */
	public double getShortest() {
		return shortest;
	}

	/**
	 * 短尺最端
	 */
	public void setShortest(double shortest) {
		this.shortest = shortest;
	}

	/**
	 * 热处理加长
	 * 
	 * @return the addInspect
	 */
	public double getAddInspect() {
		return addInspect;
	}

	/**
	 * 热处理加长
	 * 
	 * @return the addInspect
	 */
	public void setAddInspect(double addInspect) {
		this.addInspect = addInspect;
	}

	/**
	 * @return the serialNum
	 */
	public String getSerialNum() {
		return serialNum;
	}

	/**
	 * @param serialNum
	 *            the serialNum to set
	 */
	public void setSerialNum(String serialNum) {
		this.serialNum = serialNum;
	}

	/**
	 * 外购管
	 * 
	 * @return the outsStlPipeFl
	 */
	public String getOutsStlPipeFl() {
		return outsStlPipeFl;
	}

	/**
	 * 外购管
	 * 
	 * @param outsStlPipeFl
	 *            the outsStlPipeFl to set
	 */
	public void setOutsStlPipeFl(String outsStlPipeFl) {
		this.outsStlPipeFl = outsStlPipeFl;
	}

	/**
	 * 轧管转移长度上限（m）A
	 * 
	 * @return the lenRollMax
	 */
	public double getLenRollMax() {
		return lenRollMax;
	}

	/**
	 * 轧管转移长度上限（m）A
	 * 
	 * @param lenRollMax
	 *            the lenRollMax to set
	 */
	public void setLenRollMax(double lenRollMax) {
		this.lenRollMax = lenRollMax;
	}

	/**
	 * 轧管转移长度下限（m）A
	 * 
	 * @return the lenRollMin
	 */
	public double getLenRollMin() {
		return lenRollMin;
	}

	/**
	 * 轧管转移长度下限（m）A
	 * 
	 * @param lenRollMin
	 *            the lenRollMin to set
	 */
	public void setLenRollMin(double lenRollMin) {
		this.lenRollMin = lenRollMin;
	}

	/**
	 * 下发版次号（年月+3位流水）
	 * 
	 * @return value
	 */
	public String getVersionNo() {
		return versionNo;
	}

	/**
	 * 下发版次号（年月+3位流水）
	 * 
	 * @param versionNo
	 *            value
	 */
	public void setVersionNo(String versionNo) {
		this.versionNo = versionNo;
	}

	/**
	 * 长度范围%
	 */
	private double lenScope = 0;

	/**
	 * 长度范围%
	 */
	public double getLenScope() {
		return lenScope;
	}

	/**
	 * 长度范围%
	 */
	public void setLenScope(double lenScope) {
		this.lenScope = lenScope;
	}

	/**
	 * 合同行
	 */
	private String ordLnPk = "";

	/**
	 * 合同行
	 */
	public String getOrdLnPk() {
		return ordLnPk;
	}

	/**
	 * 合同行
	 */
	public void setOrdLnPk(String ordLnPk) {
		this.ordLnPk = ordLnPk;
	}

	private String gradecodeAll = "";

	/**
	 * 冶炼钢种
	 */
	public String getGradecodeAll() {
		return gradecodeAll;
	}

	/**
	 * 冶炼钢种
	 */
	public void setGradecodeAll(String gradecodeAll) {
		this.gradecodeAll = gradecodeAll;
	}

	private String lenCutheadDbk = "";

	/**
	 * 镦拔扩切头
	 */
	public String getLenCutheadDbk() {
		return lenCutheadDbk;
	}

	/**
	 * 镦拔扩切头
	 */
	public void setLenCutheadDbk(String lenCutheadDbk) {
		this.lenCutheadDbk = lenCutheadDbk;
	}

	private String lenCutendCbk = "";

	/**
	 * 镦拔扩切尾
	 */
	public String getLenCutendCbk() {
		return lenCutendCbk;
	}
	/**
	 * 镦拔扩切尾
	 */
	public void setLenCutendCbk(String lenCutendCbk) {
		this.lenCutendCbk = lenCutendCbk;
	}
	private String orderNo="";
	/**
	 * 合同号
	 */
	public String getOrderNo() {
		return orderNo;
	}
	/**
	 * 合同号
	 */
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}
	private String orderSeq="";
	/**
	 * 合同行号
	 */
	public String getOrderSeq() {
		return orderSeq;
	}
	/**
	 * 合同行号
	 */
	public void setOrderSeq(String orderSeq) {
		this.orderSeq = orderSeq;
	}
	private String gpreqId="";
	/**
	 * 管坯需求号
	 */
	public String getGpreqId() {
		return gpreqId;
	}
	/**
	 * 管坯需求号
	 */
	public void setGpreqId(String gpreqId) {
		this.gpreqId = gpreqId;
	}

	private String supplyUnitCode;

	private String supplyUnit;

	public String getSupplyUnitCode() {
		return supplyUnitCode;
	}

	public void setSupplyUnitCode(String supplyUnitCode) {
		this.supplyUnitCode = supplyUnitCode;
	}

	public String getSupplyUnit() {
		return supplyUnit;
	}

	public void setSupplyUnit(String supplyUnit) {
		this.supplyUnit = supplyUnit;
	}
}